extends Node

var ui: AudioStreamPlayer

func _ready():
	ui = $UI
	assert(ui)

func play_ui(stream: AudioStream):
	ui.stream = stream
	ui.play()

func mute(enabled: bool):
	var master_sound = AudioServer.get_bus_index("Master")
	AudioServer.set_bus_mute(master_sound, enabled)